FPUREL(8)

NAME
fpurel - perform tests the Sun Floating Point Co-processor.

SYNOPSIS
fpurel [ -v ] [ -p[ count] ] [ -r ]

DESCRIPTION
fpurel performs a series of functional and computational tests for the Sun Floating Point Co-processor to verify that it is operational and accurate. With no options, fpurel runs one pass silently in the foreground and only reports errors if any are found.

OPTIONS

-v  Verbose. Display the name and results of each test on the console. The default is to run silently.

-p[ count]
Passcount. Specify the number of times to run the test suite. The default is to run one pass.

-r  Disable stop on error. Continue to run if errors are detected. The default is to display the error message and to stop testing when an error is detected.

EXAMPLE

This example uses fpurel from the /usr/diag directory. If no errors are detected, then no information is displayed.

    % /usr/diag/fpurel